POST api/Insured/InsuredAgencyLocation
Insured agency locations list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"5f7a9186-ffcf-4de8-b693-4be3b47f8946",
"04dfc122-c05f-4005-9c37-fb762325a685"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>5f7a9186-ffcf-4de8-b693-4be3b47f8946</d2p1:guid>
<d2p1:guid>04dfc122-c05f-4005-9c37-fb762325a685</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredAgencyLocation against given insured database Ids.
InsuredAgencyLocation| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| LocationName | string |
None. |
|
| LocationBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "059bc4a1-a734-4dac-926f-324ca14e2011",
"locationName": "sample string 2",
"locationBusinessName": "sample string 3",
"insuredDatabaseId": "72cf9924-b21a-461b-9d36-41d194d9f004"
}
application/xml, text/xml
Sample:
<InsuredAgencyLocation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>059bc4a1-a734-4dac-926f-324ca14e2011</DatabaseId> <InsuredDatabaseId>72cf9924-b21a-461b-9d36-41d194d9f004</InsuredDatabaseId> <LocationBusinessName>sample string 3</LocationBusinessName> <LocationName>sample string 2</LocationName> </InsuredAgencyLocation>